"use strict";
/**
 * Copyright 2022 IBM Corp. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.INVALID_ENTITY_ID = exports.REGISTRATION_EVENT = exports.CONFIGURATION_UPDATE_EVENT = exports.EVENT_SOURCE_HEARTBEAT_TIMEOUT = exports.NORMALIZER = exports.MAX_HASH_VALUE = exports.NUMBER_OF_RETRIES = exports.DEFAULT_USAGE_LIMIT = exports.DEFAULT_ROLLOUT_PERCENTAGE = exports.DEFAULT_PROPERTY_VALUE = exports.DEFAULT_FEATURE_VALUE = exports.DEFAULT_SEGMENT_ID = exports.DEFAULT_ENTITY_ID = exports.APP_CONFIGURATION = void 0;
exports.APP_CONFIGURATION = 'App Configuration: ';
exports.DEFAULT_ENTITY_ID = '$$null$$';
exports.DEFAULT_SEGMENT_ID = '$$null$$';
exports.DEFAULT_FEATURE_VALUE = '$default';
exports.DEFAULT_PROPERTY_VALUE = '$default';
exports.DEFAULT_ROLLOUT_PERCENTAGE = '$default';
exports.DEFAULT_USAGE_LIMIT = 25;
exports.NUMBER_OF_RETRIES = 3;
exports.MAX_HASH_VALUE = Math.pow(2, 32);
exports.NORMALIZER = 100;
exports.EVENT_SOURCE_HEARTBEAT_TIMEOUT = 6 * 3600 * 1000; // 6 hours
exports.CONFIGURATION_UPDATE_EVENT = 'configurationUpdate';
exports.REGISTRATION_EVENT = 'registration';
exports.INVALID_ENTITY_ID = 'Invalid entityId passed to';
